=== debian/control ===
Source: rock-master-20.06-ruby-geoutm
Section: science
Priority: optional
Maintainer: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Uploaders: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Build-Depends: debhelper, gem2deb, rake, ruby-rspec, dh-autoreconf
Standards-Version: 4.1.3
Vcs-Git:
Vcs-Browser:
Homepage: http://www.github.com/tallakt/geoutm
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all

Package: rock-master-20.06-ruby-geoutm
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter, ${misc:Depends}, ${shlibs:Depends}, ruby
Description: Converting map coordinates
 Conversion between latitude and longitude coordinates and UTM coordiantes
